From 9a515060df9024ef64bce2055fd3f2ceada5efa8 Mon Sep 17 00:00:00 2001
From: Bernd Waibel <waebbl@gmail.com>
Date: Wed, 14 Aug 2019 13:51:32 +0200
Subject: [PATCH] configure.ac: patch to find guile-2.2

The patch uses the GUILE_PKG command to find any installed
version of guile instead of explicitly checking for guile-1.8
and guile-2.0 but missing guile-2.2.
This patch was already provided to upstream with denemo-2.2, but
didn't yet get accepted due to not being able to compile the
Windows version with this patch (cf. http://savannah.gnu.org/bugs/?54821)

Signed-off-by: Bernd Waibel <waebbl@gmail.com>
---
 configure.ac | 41 +++--------------------------------------
 1 file changed, 3 insertions(+), 38 deletions(-)

diff --git a/configure.ac b/configure.ac
index f85b74e..1fc0af0 100644
--- a/configure.ac
+++ b/configure.ac
@@ -30,7 +30,10 @@ AC_PROG_CXX
 AC_PROG_INSTALL
 AC_PROG_YACC
 AM_PROG_LEX
+GUILE_PKG
 GUILE_FLAGS
+CFLAGS="$CFLAGS $GUILE_CFLAGS"
+LIBS="$LIBS $GUILE_LIBS"
 
 AC_PROG_LIBTOOL
 
@@ -63,44 +66,6 @@ AS_COMPILER_FLAG([-fdiagnostics-color=auto],
 
 AM_CONDITIONAL(ENABLE_GLIB_TEST, [test "x$enable_glibtest" = "xyes"])
 
-AC_ARG_ENABLE(
-  guile_1_8,
-  AS_HELP_STRING([--enable-guile_1_8], [use GUILE_1_8 @<:@default=no@:>@]),
-  [
-    if test "x$enableval" != "xno"; then
-      useguile_1_8=yes
-      PKG_CHECK_MODULES(GUILE_1_8, guile-1.8 >= 1.8)
-      LIBS="$LIBS $GUILE_1_8_LIBS"
-      CFLAGS="$CFLAGS $GUILE_1_8_CFLAGS"
-    fi
-  ], [ useguile_1_8=no ])
-
-AC_ARG_ENABLE(
-  guile_2_0,
-  AS_HELP_STRING([--enable-guile_2_0], [use GUILE_2_0 @<:@default=no@:>@]),
-  [
-    if test "x$enableval" != "xno"; then
-      useguile_2_0=yes
-      PKG_CHECK_MODULES(GUILE_2, guile-2.0 >= 2.0)
-      LIBS="$LIBS $GUILE_2_LIBS"
-      CFLAGS="$CFLAGS $GUILE_2_CFLAGS"
-    fi
-  ], [ useguile_2_0=no ])
-
-if [test "x$useguile_1_8" = "xno"] && [test "x$useguile_2_0" = "xno"]; then
-  PKG_CHECK_MODULES([GUILE_2], [guile-2.0], useguile_2_0=yes, useguile_2_0=no)
-  LIBS="$LIBS $GUILE_2_LIBS"
-  CFLAGS="$CFLAGS $GUILE_2_CFLAGS"
-  if test "x$useguile_2_0" = "xno"; then
-    PKG_CHECK_MODULES(GUILE_1_8, guile-1.8 >= 1.8)
-    LIBS="$LIBS $GUILE_1_8_LIBS"
-    CFLAGS="$CFLAGS $GUILE_1_8_CFLAGS"
-    useguile_1_8=yes
-  else
-    useguile_2_0=yes
-  fi
-fi
-
 PKG_CHECK_MODULES(GLIB, [glib-2.0 >= 2.30])
 CFLAGS="$CFLAGS $GLIB_CFLAGS"
 LIBS="$LIBS $GLIB_LIBS"
-- 
2.22.0

